3 export PATH=$(dirname $0):/bin:/usr/bin:/sbin
7 # If the noburn file is there then don't burn.
8 [ -f "$noburnfile" ] && exit 0
10 # Discover disk images by looking for .img.md5sum files in $imagedir
11 imgmd5=$(ls $imagedir/*.img.md5sum 2>/dev/null | head -n 1)
13 # If we didn't find an non-empty file then exit gracefully
14 [ -z "$imgmd5" ] && exit 0
15 [ -s "$imgmd5" ] || exit 0
17 echo MD5 file: $imgmd5
21 echo Logfile: $logfile
23 # Get the name of the disk image by stripping off the tailing '.md5sum'
30 # A little paranoia. Make sure the disk image file is there.
31 [ -z "$img" ] && exit 1
32 [ -s "$img" ] || exit 1
34 # Burn the image to a disk.
35 cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
37 if [ "0" != "$?" ]; then
38 echo >&2 "cdrecord failed!"
42 # Now verify the disk by running md5sum on the entire contents of the disk
45 dd if=$dev bs=1M count=4440 2>$logfile | md5sum | awk '{print$1}' > $md5sum
47 # Check that the md5sums match
48 if ! cmp $md5sum $img.md5sum; then
49 echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
53 # Record the date in the stat file to indicate that this burn was a success
60 echo "md5sum of burned disks:"
66 } | mailx -s "DVD burned. File as ${img%.*}" $mailto > $logfile 2>&1
68 # Two lines in the stat file indicate two successful burns. Clean-up the image.
69 if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
70 # Burned the image twice. Removing it and associated files!
71 rm -f $img{,.md5sum,.stat}
72 [ -d $img.mnt ] && rmdir $img.mnt